<!-- Programa para renderizar listas com HTML -->

<!DOCTYPE html>
<!-- #faz com que o navegador entenda o tipo de conteúdo que vai ser exibido na tela -->

<html>

<head>
    <title>WebBase from QA Ninja</title>
    <!-- Define o nome da guia, ou janela; -->
    <script src="js/vue.js"></script>
</head>

<body>
    <div id="app">
        <h1>Cadastro de Alunos</h1>

        <form>
            <label for="Nome Completo">Nome Completo</label>
            <input name = "Nome Completo" type="text" v-model="form.Nome"> 

            <label for="Email">Email</label>
            <input name = "Email" type="text" v-model="form.Email">

            <label for="Nota">Nota</label>
            <input name = "Nota" type="text" v-model="form.Nota">

            <input type="button" value="Cadastrar" @click="adicionarContato">
        </form>

            <!-- Já para funcionar é preciso do JAVA para dar vida ao HTML; -->
            
            <!-- Tabela para listar as entradas com HTML -->
            <div> 
                <table class="table">
                    <thead>
                       <th>Nome</th> 
                       <th>Email</th>
                       <th>Nota</th>
                    </thead>
                    <tbody>
                        <tr v-for="aluno in alunos">
                            <td>{{aluno.Nome}}</td>
                            <td>{{aluno.Email}}</td>
                            <td>{{aluno.Nota}}</td>
                        </tr>
                    </tbody>
                </table>    
            </div>

        
    </div>

    <script>
        //  <!-- vinculação do js com o html; aqui é onde o java chama o div que tá em html -->
        var app = new Vue({
            el: "#app",
            data: {
                form:{
                    Nome: '',
                    Email: '',
                    Nota: ''
                },

                alunos: []},
            methods:{

                limpaFormulario: function () {
                    this.form = {
                        Nome: '',
                        Email:'',
                        Nota:''
                    }
                },

                adicionarContato: function(){
                   //// console.log(this.form)
                   this.alunos.push(this.form)
                   this.limpaFormulario()
                }
            }
        })
    </script>
    <style>
        .table {
            margin-top: 20px;   
            width: 100%;
            text-align: left;
        }

        .table th, .table td {
            border-top: 1px solid #ccc;
        }

        input{
            display: block;
        }

        input[type=button]{
            margin-top: 10px;
            background-color:blueviolet;
            border-color:blueviolet;
            color: #eee;
        }

    </style>

</body>
</html>